# $Revision: 1.70 $, $Date: 2012/01/15 19:55:08 $
# TODO: bmp plugin?
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	xmms		# without XMMS plugin
#
Summary:	On Screen Display (like in TV) for X11
Summary(es.UTF-8):	Subtítulos (como en la tele) para X11
Summary(pl.UTF-8):	Wyświetlanie napisów na ekranie podobnie jak w telewizorach (OSD)
Name:		xosd
Version:	2.2.14
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/libxosd/%{name}-%{version}.tar.gz
# Source0-md5:	4b349fe930e4eee2f504d6c02673e24d
Patch0:		%{name}-am18.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-install.patch
URL:		http://sourceforge.net/projects/libxosd/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
%if %{with xmms}
BuildRequires:	gdk-pixbuf-devel >= 0.22.0
BuildRequires:	gtk+-devel >= 1.2.2
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.2.7
%endif
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
Obsoletes:	libxosd2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XOSD allows On Screen Displaying on your monitor under X11. It could
show current volume while changing it, or information about new mail
arrival. It has plugin for XMMS attached as an example what it can do.

%description -l es.UTF-8
XOSD permite mostrar subtítulos u otros mensajes en el monitor bajo
X11. Podría ser usado para mostrar el volumen del sonido cuando éste
sea cambiado, o bien una información sobre correo electrónico recién
llegado. Hay un plugin para XMMS que puede servir como ejemplo de lo
que se puede hacer.

%description -l pl.UTF-8
XOSD służy do wyświetlania na monitorze napisów w sposób podobny do
tego jak to się dzieje we współczesnych telewizorach (OSD). Może on
pokazywać aktualną głośność podczas jej zmieniania, albo informacje o
nowej poczcie. Do programu została dołączona wtyczka dla XMMS-a
pokazująca, co tak naprawdę potrafi XOSD.

%package devel
Summary:	Header files and documentation for developers of XOSD
Summary(es.UTF-8):	Ficheros de cabecera y documentación de programadores para XOSD
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentcja dla programistów XOSD
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXinerama-devel
Obsoletes:	libxosd2-devel

%description devel
Files allowing development of xosd-based applications.

%description devel -l es.UTF-8
Ficheros que permiten el desarrollo de aplicaciones basadas en xosd.

%description devel -l pl.UTF-8
Pliki pozwalające tworzyć programy w oparciu o xosd.

%package static
Summary:	Static libraries for XOSD
Summary(es.UTF-8):	Bibliotecas estáticas para XOSD
Summary(pl.UTF-8):	Statyczne biblioteki dla XOSD
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libraries for XOSD.

%description static -l es.UTF-8
Bibliotecas estáticas para XOSD.

%description static -l pl.UTF-8
Statyczne biblioteki dla XOSD.

%package -n xmms-general-xosd
Summary:	Plugin for XMMS that allows On Screen Displaying (OSD)
Summary(es.UTF-8):	Plugin para XMMS que permite mostrar informaciones en la pantalla (OSD)
Summary(pl.UTF-8):	Wtyczka dla XMMS-a, która umożliwa wyświetlanie informacji na ekranie (OSD)
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	xmms >= 1.2.7

%description -n xmms-general-xosd
Plugin for XMMS enabling On Screen Display (OSD) showing names of
played files, volume, etc.

%description -n xmms-general-xosd -l es.UTF-8
Plugin para XMMS que habilita mostrar sobre la pantalla los nombres de
los ficheros reproducidos, el volumen, etc.

%description -n xmms-general-xosd -l pl.UTF-8
Wtyczka dla XMMS-a pokazująca na ekranie (OSD) aktualne informacje o
odgrywanej piosence, głośności, itd.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
%{!?with_xmms:echo 'AC_DEFUN([AM_PATH_XMMS],[])' >> acinclude.m4}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_xmms:--with-plugindir=%{xmms_general_plugindir}} \
	%{!?with_xmms:--disable-new-plugin} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{xmms_general_plugindir},%{_includedir}} \
	$RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%{__rm} $RPM_BUILD_ROOT%{xmms_general_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS README
%attr(755,root,root) %{_bindir}/osd_cat
%attr(755,root,root) %{_libdir}/libxosd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxosd.so.2
%{_mandir}/man1/osd_cat.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xosd-config
%attr(755,root,root) %{_libdir}/libxosd.so
%{_libdir}/libxosd.la
%{_includedir}/xosd.h
%{_aclocaldir}/libxosd.m4
%{_mandir}/man3/xosd*.3*
%{_mandir}/man1/xosd-config.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxosd.a
%endif

%if %{with xmms}
%files -n xmms-general-xosd
%defattr(644,root,root,755)
%attr(755,root,root) %{xmms_general_plugindir}/libxmms_osd.so
%dir %{_datadir}/xosd
%{_datadir}/xosd/*.png
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xosd.spec,v $
Revision 1.70  2012/01/15 19:55:08  qboosh
- new URLs, updated to 2.2.14
- added install patch
- removed obsolete link patch

Revision 1.69  2008/11/11 15:03:27  arekm
- rel 7; fix build with new libtool

Revision 1.68  2008/11/11 12:14:23  arekm
- release 6

Revision 1.67  2007/08/22 19:15:52  witekfl
- added bcond_without static_libs

Revision 1.66  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.65  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.64  2007/01/21 13:53:37  arekm
- rel 5

Revision 1.63  2006/08/27 10:22:30  qboosh
- added link patch, killed libXt dependency; release 4

Revision 1.62  2006/03/16 13:05:27  pluto
- BR += Xinerama, Xt.

Revision 1.61  2006/03/16 12:49:40  pluto
- redundant deps killed.

Revision 1.60  2006/03/16 09:31:47  cieciwa
- release 3.

Revision 1.59  2006/03/16 09:26:13  cieciwa
- release 2.1,
- s/XFree-devel/xorg-lib-*-devel/

Revision 1.58  2005/09/16 11:59:08  glen
- rel 2

Revision 1.57  2005/09/16 11:57:53  glen
- removed empty NEWS from %doc

Revision 1.56  2004/10/30 11:11:54  paladine
- unification, capitalization, pl fixes

Revision 1.55  2004/10/01 04:48:02  pluto
- updated to 2.2.12 (Thx to Michal Kochanowicz).

Revision 1.54  2004/09/01 13:49:28  heretyk
- fixed description for xmms-general-xosd

Revision 1.53  2004/08/27 08:31:43  paszczus
- updated to 2.2.10

Revision 1.52  2004/08/19 07:22:12  krzak
- devel R: XFree86-devel

Revision 1.51  2004/07/05 19:53:11  grzegol
- updated to 2.2.8
- strict internal deps

Revision 1.50  2003/12/28 10:52:32  qboosh
- added am18 patch (libxosd.m4 quotation fix); release 2

Revision 1.49  2003/10/20 19:56:17  saq
- version 2.2.5
- es translations
- updated BuildRequires
- new bcond scheme

Revision 1.48  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.47  2003/06/29 14:14:07  grzegol
- updated to 2.2.2

Revision 1.46  2003/06/05 17:50:01  krzak
- BR: gdk-pixbuf-devel >= 0.22.0

Revision 1.45  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.44  2003/05/25 06:28:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.43  2003/04/26 23:22:58  qboosh
- added _without_xmms bcond (suggested by Radosław Kintzi)
- no *.la for plugin

Revision 1.42  2003/04/18 21:32:09  misi3k
- updated to 2.2.1
- removed patches (not needed)

Revision 1.41  2003/04/12 10:50:37  aflinta
- updated to version 2.2.0

Revision 1.40  2003/03/07 14:14:13  grzegol
- updated to 2.1.3

Revision 1.39  2003/02/23 16:29:40  grzegol
- updated to 2.1.2

Revision 1.38  2003/02/19 12:27:58  grzegol
- updated to 2.1.1
- added configure_in patch (removed old plugin - it's absent)

Revision 1.37  2003/02/09 08:25:15  martii
-- added BR gdk-pixbuf-devel needed for package to build

Revision 1.36  2003/02/08 17:30:05  kloczek
- libxosd2{,-devel} added to Obsoletes for allow smooth upgrade from MDK.

Revision 1.35  2003/02/06 21:55:47  grzegol
- updated to 2.1.0
- added libxmms_osd_oldplugin*

Revision 1.34  2003/01/21 14:41:28  grzegol
- updated to 2.0.2
- added _xmms_plugin_dir

Revision 1.33  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.32  2003/01/14 10:34:08  qboosh
- added missing dir, no need for 755 on *.png

Revision 1.31  2003/01/13 11:25:16  krzak
- *.png moved from devel to xmms-general-xosd where it should be
- release 4
- STBR

Revision 1.30  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.29  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.28  2002/11/25 01:58:20  ankry
- xosd-config manpage moved to -devel
- release 3

Revision 1.27  2002/11/14 08:22:07  krzak
- missing png files

Revision 1.26  2002/11/14 08:01:29  krzak
- upgrade to 2.0.1

Revision 1.25  2002/10/30 19:54:30  aflinta
- __libtoolize is back, now it is working, I don't know why, strange tool.

Revision 1.24  2002/10/29 23:06:53  aflinta
- removed %%{__libtoolize} which breaks xmms plugin

Revision 1.23  2002/10/29 18:51:36  krzak
release 2
patch to fix broken #include paths
STBR

Revision 1.22  2002/10/29 10:46:31  qboosh
- BuildConflicts with old headers (or patch must be added)...

Revision 1.21  2002/10/26 13:18:29  krzak
upgrade to version 2.0.0

Revision 1.20  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/09/13 22:10:46  blues
- release 2 - xmms plugin should require xmms.... STBR

Revision 1.18  2002/09/13 12:47:50  blues
- 1.0.4 - finally it won't hang sometimes on LOCALE != "C" - STBR

Revision 1.17  2002/08/30 23:26:07  blues
- static is back again - there is separate static package...

Revision 1.16  2002/08/30 19:33:41  kloczek
- add --disable-static to autoconf parameters.

Revision 1.15  2002/08/30 11:27:45  blues
- 1.0.3 - license changed, removed missing file now - STBR

Revision 1.14  2002/08/17 12:59:45  blues
- 1.0.2 - STBR

Revision 1.13  2002/08/12 15:30:23  kloczek
- added using %%{_aclocaldir} macro.

Revision 1.12  2002/08/12 14:55:36  blues
- 1.0.1 - some code cleanups and fixes, added missing file, STBR

Revision 1.11  2002/07/19 22:13:42  blues
- 1.0.0
- small fixes
STBR

Revision 1.10  2002/07/15 07:58:25  rrw
- (polish, since it is about polish translation)
  poprawiony koszmarny koszmarek w tłumaczeniu:
  <a href="http://fatagnus.art.pl/tluczen.fa21.fml">Gdzie ja mam klawiaturę?</a>

Revision 1.9  2002/07/13 13:36:24  blues
- 1.0.0-pre2
- new scheme of instalation (ac/am/lt) - full regeneration added
- new doc
- separated static subpackage
- added missing things.

Revision 1.8  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/12 22:53:15  blues
- docs simplified

Revision 1.5  2001/12/02 01:44:55  kloczek
- cosmetics.

Revision 1.4  2001/11/30 15:57:38  qboosh
- cosmetics, don't strip in %%install

Revision 1.3  2001/11/30 10:57:18  alchemyx
- divided into subpackages
- adapterized once more
- release 1, STB if you wish (probably you don't, because of freezing :P)

Revision 1.2  2001/11/30 10:27:16  alchemyx
- added URLs
- added PL descriptions
- adapterized
